org.vishia.commander

## Class FcmdFilesCp

- java.lang.Object
- - org.vishia.commander.FcmdFilesCp

-     public final class FcmdFilesCp
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralUserAction` | `actionConfirmCp`
    `(package private) GralUserAction` | `actionFilesCp`
    `(package private) FcmdFileCard` | `card1` The both selected file cards which are used for comparison.
    `(package private) FcmdFileCard` | `card2` The both selected file cards which are used for comparison.
    `(package private) FileCompare` | `comparer` Composition of the comparer.
    `(package private) FileRemote` | `file1` The both directories where the comparison was started.
    `(package private) FileRemote` | `file2` The both directories where the comparison was started.
    `(package private) java.util.Map<java.lang.String,FileCompare.Result>` | `idxFilepath4Result` List for results of comparison as index sorted to local file paths.
    `(package private) Fcmd` | `main`
    `(package private) java.util.List<FileCompare.Result>` | `result` List for results of comparison as tree.
    `static int` | `version` Version, history and license 2012-04-17 Compares only mid and right panel.
    `(package private) GralButton` | `widgCompare` Buttons.
    `(package private) GralButton` | `widgGetDir` Buttons.
    `(package private) GralTextField_ifc` | `widgPath1`
    `(package private) GralTextField_ifc` | `widgPath2`
    `(package private) GralValueBar` | `widgProgression`
    `(package private) GralButton` | `widgSyncWalk` Buttons.
    `(package private) GralWindow_ifc` | `windConfirmCompare`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdFilesCp(Fcmd main)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `buildGraphic()`
    `private void` | `buildIdxResult(FileCompare.Result item, int recursion)`
    `(package private) void` | `setDirs()` Action if button "get dirs" is pressed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, history and license
      - 2012-04-17 Compares only mid and right panel.
      - 2011-12-00 Hartmut creation.
      Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL ist not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are intent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### main

          final Fcmd main

    - #### windConfirmCompare

          GralWindow_ifc windConfirmCompare

    - #### widgPath1

          GralTextField_ifc widgPath1

    - #### widgPath2

          GralTextField_ifc widgPath2

    - #### widgProgression

          GralValueBar widgProgression

    - #### widgSyncWalk

          GralButton widgSyncWalk

      Buttons.

    - #### widgGetDir

          GralButton widgGetDir

      Buttons.

    - #### widgCompare

          GralButton widgCompare

      Buttons.

    - #### comparer

          final FileCompare comparer

      Composition of the comparer.

    - #### result

          java.util.List<FileCompare.Result> result

      List for results of comparison as tree.

    - #### idxFilepath4Result

          final java.util.Map<java.lang.String,FileCompare.Result> idxFilepath4Result

      List for results of comparison as index sorted to local file paths.

    - #### card1

          FcmdFileCard card1

      The both selected file cards which are used for comparison. For that file cards a synchronous walk through files may be done.

    - #### card2

          FcmdFileCard card2

      The both selected file cards which are used for comparison. For that file cards a synchronous walk through files may be done.

    - #### file1

          FileRemote file1

      The both directories where the comparison was started.

    - #### file2

          FileRemote file2

      The both directories where the comparison was started.

    - #### actionConfirmCp

          GralUserAction actionConfirmCp

    - #### actionFilesCp

          GralUserAction actionFilesCp

  - ### Constructor Detail

    - #### FcmdFilesCp

          FcmdFilesCp(Fcmd main)

  - ### Method Detail

    - #### buildGraphic

          void buildGraphic()

    - #### buildIdxResult

          private void buildIdxResult(FileCompare.Result item,
                                      int recursion)

    - #### setDirs

          void setDirs()

      Action if button "get dirs" is pressed.